org.apache.tapestry5.alerts

## Enum Severity

- java.lang.Object
- - java.lang.Enum<Severity>
  - - org.apache.tapestry5.alerts.Severity

- All Implemented Interfaces:
    Serializable, Comparable<Severity>

      public enum Severity
      extends Enum<Severity>

  The severity of an `Alert`, used primarily to control how it is decorated when presented to the user on the client side.
  Since:
    5.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `INFO`
    `SUCCESS`
    `WARN`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `cssClass` Deprecated. Deprecated in Tapestry 5.4 with no replacement (beyond the name of the value itself).

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Severity` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Severity[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final Severity SUCCESS

      Since:
        5.3.6

    - #### INFO

          public static final Severity INFO

      Since:
        5.3

    - #### WARN

          public static final Severity WARN

      Since:
        5.3

    - #### ERROR

          public static final Severity ERROR

      Since:
        5.3

  - ### Field Detail

    - #### cssClass

          public final String cssClass

      Deprecated. Deprecated in Tapestry 5.4 with no replacement (beyond the name of the value itself).
      The CSS class to be used for the client list element.

  - ### Method Detail

    - #### values

          public static Severity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Severity c : Severity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Severity valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.